Subject: 2.0.33 for A5K

From: [email-masked] (Michael Kosse)
Date: Tue, 30 Jun 1998 07:07:00 +0200

I've compiled the 2.0.33 kernel for the A5K based on the latest patch 
( patch-arm-2.0.33-19980426.gz ). 
The floppy driver complained that it could not grab DMA6. I've checked
the code and found that FLOPPY_DMA in .../floppy.c is defined to be 6
while MAX_DMA_CHANNELS in .../arch-a5k/dma.h is defined to be 2.
Changed FLOPPY_DMA to 0 to fix this. 
BTW, I've got the IOMEGA PARALLEL PORT ZIP DRIVE working with the A5K 
under ARM Linux 2.0.33 ( and 1.3.35 ) with ppa 0.26 and I/O base address
set to 0x278 and nybble mode enabled.

---
scsi0 : AcornSCSI at port 80000000 irq 32 v2.0.4 SYNC TAG NOWRITE (0xFE)
scsi1 : PPA driver version 0.26 using 4-bit mode on port 0x278.
scsi : 2 hosts.
scsi0.0: Using synchronous transfer, offset 12, 128 ns
  Vendor: SAMSUNG   Model: WN32162U          Rev: 0100
  Type:   Direct-Access                      ANSI SCSI revision: 02 TAG

Detected scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: IOMEGA    Model: ZIP 100           Rev: D.13
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi removable disk sdb at scsi1, channel 0, id 6, lun 0
scsi : detected 2 SCSI disks total.
SCSI device sda: hdwr sector= 512 bytes. Sectors= 4236661 [2068 MB] [2.1 GB]
SCSI device sdb: hdwr sector= 512 bytes. Sectors= 196608 [96 MB] [0.1 GB]
sdb: Write Protect is off
---

miko
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]